# BEGIN SourceDeps(oneline):
BuildRequires: libncurses-devel
# END SourceDeps(oneline)
Name:		ax25-apps
Version:	0.0.6
Release:	alt2_13
Summary:	AX.25 ham radio applications

Group:		Communications
#ax25ipd is BSD licensed, rest is GPLv2+
License:	GPLv2+ and BSD
URL:		http://ax25.sourceforge.net/
Source0:	http://downloads.sourceforge.net/ax25/%{name}-%{version}.tar.gz
Source1:	LICENSE
#listen and call are too generic names, rename to axlisten and axcall in all instances, thanks debian maintainers
Patch0:		%{name}-%{version}-nongenericnames.patch
# Patch1:	%%{name}-%%{version}-configure.in.patch
Patch2:		%{name}-%{version}-Makefile.am.patch
Patch3:		%{name}-ax25rtd-config_c.patch
#Source released by author as BSD http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=630893
Patch4:		%{name}-%{version}-ripdump.bsd.switch.patch

BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	libax25-devel
BuildRequires:	ncurses-devel
Source44: import.info


%description

This package provides specific user applications for hamradio that use AX.25 
Net/ROM or ROSE network protocols:

 * axcall: a general purpose AX.25, NET/ROM and ROSE connection program.
 * axlisten: a network monitor of all AX.25 traffic heard by the system.
 * ax25ipd: an RFC1226 compliant daemon which provides encapsulation of
   AX.25 traffic over IP.
 * ax25mond: retransmits data received from sockets into an AX.25 monitor
   socket.


%prep
%setup -q
%patch0 -p1
# %%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1


%build
#the patch requires rebuilding of makefiles and such
#libtoolize
#aclocal; autoconf; automake --add-missing
autoreconf -if
%configure
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT

#Install BSD License text
install -p -D -m 0644 %{SOURCE1} ${RPM_BUILD_ROOT}%{_docdir}/%{name}-%{version}/LICENSE

#don't include these twice
rm -rf $RPM_BUILD_ROOT%{_docdir}/%{name}

# Fix the encoding on the doc files to be UTF-8
recode()
{
	iconv -f "$2" -t utf-8 < "$1" > "${1}_"
	mv -f "${1}_" "$1"
}
recode AUTHORS iso-8859-15


%files
%doc AUTHORS ChangeLog COPYING README
%doc ax25ipd/COPYING.ax25ipd ax25ipd/HISTORY.ax25ipd ax25ipd/README.ax25ipd
%doc ax25rtd/TODO.ax25rtd ax25rtd/README.ax25rtd
%{_bindir}/*
%{_sbindir}/*
%{_mandir}/man?/*

%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.0.6-alt2_13
- update to new release by fcimport

* Fri Dec 21 2012 Igor Vlasenko <viy@altlinux.ru> 0.0.6-alt2_12
- update to new release by fcimport

* Wed Aug 22 2012 Igor Vlasenko <viy@altlinux.ru> 0.0.6-alt2_11
- update to new release by fcimport

* Tue May 22 2012 Igor Vlasenko <viy@altlinux.ru> 0.0.6-alt2_9
- regenerated with 0.46 R::S::C

* Fri May 18 2012 Igor Vlasenko <viy@altlinux.ru> 0.0.6-alt1_9
- converted for Sisyphus

